## libgnatcoll-db 25.0.0

=== sqlite/Makefile ===
##############################################################################
##                                                                          ##
##                              GNATCOLL LIBRARY                            ##
##                                                                          ##
##                         Copyright (C) 2017, AdaCore.                     ##
##                                                                          ##
## This library is free software;  you can redistribute it and/or modify it ##
## under terms of the  GNU General Public License  as published by the Free ##
## Software  Foundation;  either version 3,  or (at your  option) any later ##
## version. This library is distributed in the hope that it will be useful, ##
## but WITHOUT ANY WARRANTY;  without even the implied warranty of MERCHAN# ##
## TABILITY or FITNESS FOR A PARTICULAR PURPOSE.                            ##
##                                                                          ##
## As a special exception under Section 7 of GPL version 3, you are granted ##
## additional permissions described in the GCC Runtime Library Exception,   ##
## version 3.1, as published by the Free Software Foundation.               ##
##                                                                          ##
## You should have received a copy of the GNU General Public License and    ##
## a copy of the GCC Runtime Library Exception along with this program;     ##
## see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see    ##
## <http://www.gnu.org/licenses/>.                                          ##
##                                                                          ##
##############################################################################

# Makefile targets
# ----------------
#
# Setup:                   make [VAR=VALUE] setup (see below)
# Build:                   make
# Install:                 make install

# Variables which can be set:
#
# General:
#
#   prefix        : root install directory
#   ENABLE_SHARED : yes / no (or empty)
#   BUILD         : DEBUG PROD
#   PROCESSORS    : nb parallel compilations (0 to use all cores)
#   TARGET        : target triplet for cross-compilation
#   INTEGRATED    : installs the project as part of the compiler installation;
#                   this adds NORMALIZED_TARGET subdir to prefix
#
# Project specific:
#
#   GNATCOLL_SQLITE : Sqlite3 implementation to use (embedded/external)
#                     default is "embedded"

# helper programs
CAT := cat
ECHO  := echo
WHICH := which

NAME=gnatcoll_sqlite

# check for out-of-tree build
SOURCE_DIR := $(dir $(MAKEFILE_LIST))
ifeq ($(SOURCE_DIR),./)
  RBD=
  GNATCOLL_GPR=$(NAME).gpr
  MAKEPREFIX=
else
  RBD=--relocate-build-tree
  GNATCOLL_GPR=$(SOURCE_DIR)/$(NAME).gpr
  MAKEPREFIX=$(SOURCE_DIR)/
endif

TARGET := $(shell gcc -dumpmachine)
NORMALIZED_TARGET := $(subst normalized_target:,,$(wordlist 6,6,$(shell gprconfig  --config=ada --target=$(TARGET) --mi-show-compilers)))
ifeq ($(NORMALIZED_TARGET),)
  $(error No toolchain found for target "$(TARGET)")
endif

prefix := $(dir $(shell $(WHICH) gnatls))..
GNATCOLL_VERSION := $(shell $(CAT) $(SOURCE_DIR)/../version_information)
GNATCOLL_SQLITE := embedded

BUILD         = PROD
PROCESSORS    = 0
BUILD_DIR     =
ENABLE_SHARED := yes
INTEGRATED    = no
GPR_OPTIONS   =

all: build

# Load current setup if any
-include makefile.setup

GTARGET=--target=$(NORMALIZED_TARGET)

ifeq ($(ENABLE_SHARED), yes)
   LIBRARY_TYPES=static relocatable static-pic
else
   LIBRARY_TYPES=static
endif

ifeq ($(INTEGRATED), yes)
   integrated_install=/$(NORMALIZED_TARGET)
endif

GPR_VARS= \
	 -XGNATCOLL_SQLITE=$(GNATCOLL_SQLITE) \
	 -XGNATCOLL_VERSION=$(GNATCOLL_VERSION) \
	 -XBUILD=$(BUILD)

# Used to pass extra options to GPRBUILD, like -d for instance
GPRBUILD_OPTIONS=

BUILDER=gprbuild -p -m $(GTARGET) $(RBD) -j$(PROCESSORS) $(GPR_VARS) \
	$(GPRBUILD_OPTIONS)
INSTALLER=gprinstall -p -f --target=$(TARGET) $(GPR_VARS) \
	$(RBD) --sources-subdir=include/$(NAME) --prefix=$(prefix)$(integrated_install)
CLEANER=gprclean -q $(RBD)
UNINSTALLER=$(INSTALLER) -p -f --install-name=$(NAME) --uninstall

#########
# build #
#########

build: $(LIBRARY_TYPES:%=build-%)

build-%:
	$(BUILDER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		$(GPR_VARS) $(GNATCOLL_GPR) $(GPR_OPTIONS)

###########
# Install #
###########

uninstall:
ifneq (,$(wildcard $(prefix)/share/gpr/manifests/$(NAME)))
	$(UNINSTALLER) $(GNATCOLL_GPR)
endif

install: uninstall $(LIBRARY_TYPES:%=install-%)

install-%:
	$(INSTALLER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		--build-name=$* --build-var=LIBRARY_TYPE $(GPR_VARS) $(GNATCOLL_GPR)

###########
# Cleanup #
###########

clean: $(LIBRARY_TYPES:%=clean-%)

clean-%:
	-$(CLEANER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		$(GPR_VARS) $(GNATCOLL_GPR)

#########
# setup #
#########

.SILENT: setup

setup:
	$(ECHO) "prefix=$(prefix)" > makefile.setup
	$(ECHO) "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
	$(ECHO) "INTEGRATED=$(INTEGRATED)" >> makefile.setup
	$(ECHO) "BUILD=$(BUILD)" >> makefile.setup
	$(ECHO) "PROCESSORS=$(PROCESSORS)" >> makefile.setup
	$(ECHO) "TARGET=$(TARGET)" >> makefile.setup
	$(ECHO) "SOURCE_DIR=$(SOURCE_DIR)" >> makefile.setup
	$(ECHO) "GNATCOLL_VERSION=$(GNATCOLL_VERSION)" >> makefile.setup
	$(ECHO) "GNATCOLL_SQLITE=$(GNATCOLL_SQLITE)" >> makefile.setup

# Let gprbuild handle parallelisation. In general, we don't support parallel
# runs in this Makefile, as concurrent gprinstall processes may crash.
.NOTPARALLEL:

=== xref/Makefile ===
##############################################################################
##                                                                          ##
##                              GNATCOLL LIBRARY                            ##
##                                                                          ##
##                         Copyright (C) 2017, AdaCore.                     ##
##                                                                          ##
## This library is free software;  you can redistribute it and/or modify it ##
## under terms of the  GNU General Public License  as published by the Free ##
## Software  Foundation;  either version 3,  or (at your  option) any later ##
## version. This library is distributed in the hope that it will be useful, ##
## but WITHOUT ANY WARRANTY;  without even the implied warranty of MERCHAN# ##
## TABILITY or FITNESS FOR A PARTICULAR PURPOSE.                            ##
##                                                                          ##
## As a special exception under Section 7 of GPL version 3, you are granted ##
## additional permissions described in the GCC Runtime Library Exception,   ##
## version 3.1, as published by the Free Software Foundation.               ##
##                                                                          ##
## You should have received a copy of the GNU General Public License and    ##
## a copy of the GCC Runtime Library Exception along with this program;     ##
## see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see    ##
## <http://www.gnu.org/licenses/>.                                          ##
##                                                                          ##
##############################################################################

# Makefile targets
# ----------------
#
# Setup:                   make [VAR=VALUE] setup (see below)
# Build:                   make
# Install:                 make install

# Variables which can be set:
#
# General:
#
#   prefix        : root install directory
#   ENABLE_SHARED : yes / no (or empty)
#   BUILD         : DEBUG PROD
#   PROCESSORS    : nb parallel compilations (0 to use all cores)
#   TARGET        : target triplet for cross-compilation
#   INTEGRATED    : installs the project as part of the compiler installation;
#                   this adds NORMALIZED_TARGET subdir to prefix

# helper programs
CAT := cat
ECHO  := echo
WHICH := which

NAME=gnatcoll_xref

# check for out-of-tree build
SOURCE_DIR := $(dir $(MAKEFILE_LIST))
ifeq ($(SOURCE_DIR),./)
  RBD=
  GNATCOLL_GPR=$(NAME).gpr
  MAKEPREFIX=
else
  RBD=--relocate-build-tree
  GNATCOLL_GPR=$(SOURCE_DIR)/$(NAME).gpr
  MAKEPREFIX=$(SOURCE_DIR)/
endif

TARGET := $(shell gcc -dumpmachine)

prefix := $(dir $(shell $(WHICH) gnatls))..
GNATCOLL_VERSION := $(shell $(CAT) $(SOURCE_DIR)/../version_information)

BUILD         = PROD
PROCESSORS    = 0
BUILD_DIR     =
ENABLE_SHARED := yes
INTEGRATED    = no

all: build

# Load current setup if any
-include makefile.setup

NORMALIZED_TARGET := $(subst normalized_target:,,$(wordlist 6,6,$(shell gprconfig  --config=ada --target=$(TARGET) --mi-show-compilers)))
ifeq ($(NORMALIZED_TARGET),)
  $(error No toolchain found for target "$(TARGET)")
endif

GTARGET=--target=$(NORMALIZED_TARGET)

ifeq ($(ENABLE_SHARED), yes)
   LIBRARY_TYPES=static relocatable static-pic
else
   LIBRARY_TYPES=static
endif

ifeq ($(INTEGRATED), yes)
   integrated_install=/$(NORMALIZED_TARGET)
endif

GPR_VARS= \
	 -XGNATCOLL_VERSION=$(GNATCOLL_VERSION) \
	 -XBUILD=$(BUILD)

# Used to pass extra options to GPRBUILD, like -d for instance
GPRBUILD_OPTIONS=

BUILDER=gprbuild -p -m $(GTARGET) $(RBD) -j$(PROCESSORS) $(GPR_VARS) \
	$(GPRBUILD_OPTIONS)
INSTALLER=gprinstall -p -f --target=$(TARGET) $(GPR_VARS) \
	$(RBD) --sources-subdir=include/$(NAME) --prefix=$(prefix)$(integrated_install)
CLEANER=gprclean -q $(RBD) $(GPR_VARS)
UNINSTALLER=$(INSTALLER) -p -f --install-name=$(NAME) --uninstall

#########
# build #
#########

build: $(LIBRARY_TYPES:%=build-%)

build-%:
	$(BUILDER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		$(GNATCOLL_GPR)

###########
# Install #
###########

uninstall:
ifneq (,$(wildcard $(prefix)/share/gpr/manifests/$(NAME)))
	$(UNINSTALLER) $(GNATCOLL_GPR)
endif

install: uninstall $(LIBRARY_TYPES:%=install-%)

install-%:
	$(INSTALLER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		--build-name=$* --build-var=LIBRARY_TYPE $(GNATCOLL_GPR)

###########
# Cleanup #
###########

clean: $(LIBRARY_TYPES:%=clean-%)

clean-%:
	-$(CLEANER) -XLIBRARY_TYPE=$* -XXMLADA_BUILD=$* -XGPR_BUILD=$* \
		$(GNATCOLL_GPR)

#########
# setup #
#########

.SILENT: setup

setup:
	$(ECHO) "prefix=$(prefix)" > makefile.setup
	$(ECHO) "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
	$(ECHO) "INTEGRATED=$(INTEGRATED)" >> makefile.setup
	$(ECHO) "BUILD=$(BUILD)" >> makefile.setup
	$(ECHO) "PROCESSORS=$(PROCESSORS)" >> makefile.setup
	$(ECHO) "TARGET=$(TARGET)" >> makefile.setup
	$(ECHO) "SOURCE_DIR=$(SOURCE_DIR)" >> makefile.setup
	$(ECHO) "GNATCOLL_VERSION=$(GNATCOLL_VERSION)" >> makefile.setup

# Let gprbuild handle parallelisation. In general, we don't support parallel
# runs in this Makefile, as concurrent gprinstall processes may crash.
.NOTPARALLEL:

=== debian/changelog ===
libgnatcoll-db (25.0.0-2build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:46 +0200

libgnatcoll-db (25.0.0-2build1) questing; urgency=medium

  * No-change with SOURCE_DATE_EPOCH fixed in libgnatprj-dev

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 22:07:02 +0000

libgnatcoll-db (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 09:42:03 +0100

libgnatcoll-db (25.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-14 for experimental.
  * Fix and clone upstream git URLs, enable pristine-tar.
  * Remove work-around for #971018 on mipsel.
  * Enable salsa continuous integration via debian/salsa-ci.yml.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Feb 2025 10:45:26 +0000

libgnatcoll-db (23.0.0-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
    Closes: #1064745.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:46:00 +0100

libgnatcoll-db (23.0.0-5) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * autopkgtest: refine dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Dec 2023 19:02:15 +0000

=== debian/control ===
Source: libgnatcoll-db
Priority: optional
Section: libdevel
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-ada-library (>= 9.1),
 dh-sequence-ada-library,
 gnat,
 gnat-14,
 gprbuild (>= 2025.0.0-2),
 libgnatcoll-dev,
 libgnatcoll-iconv-dev,
 libpq-dev,
 libsqlite3-dev,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
 python3-sphinx,
# docs/conf.py
 python3-sphinx-rtd-theme,
 sphinx-common,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-latex-extra,
Homepage: https://github.com/AdaCore/gnatcoll-db
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-db
Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-db.git

######################################################################

Package: libgnatcoll-sqlite-dev
Breaks: libgnatcoll-sqlite17-dev, libgnatcoll-sqlite18-dev,
  libgnatcoll-sqlite19-dev, libgnatcoll-sqlite20-dev, libgnatcoll-sqlite21-dev
Replaces: libgnatcoll-sqlite17-dev, libgnatcoll-sqlite18-dev,
 libgnatcoll-sqlite19-dev, libgnatcoll-sqlite20-dev, libgnatcoll-sqlite21-dev
Provides: ${ada:Provides}
Architecture: any
Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
Description: Ada library accessing SQLite databases
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the static library and Ada specifications
 dedicated to SQLite databases manipulation.

Package: libgnatcoll-sqlite21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library accessing SQLite databases (runtime)
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the runtime shared library for the SQLite
 backend.


######################################################################

Package: libgnatcoll-db-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: Ada library accessing SQL databases (documentation)
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libgnatcoll-db-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libgnatcoll-db-doc,
# libgnatcoll-sqlite-bin <= 18.4 was providing gnatinspect.
Breaks: libgnatcoll-sqlite-bin
Replaces: libgnatcoll-sqlite-bin
Description: Ada library accessing SQL databases (tools)
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains command-line tools.
 * gnatcoll_db2ada generates Ada sources depending on
   libngatcoll-sqlite or libgnatcoll-postgres.
 * gnatinspect runs in a source tree and generate a database of
   cross-references.

######################################################################

Package: libgnatcoll-sql-dev
Breaks: libgnatcoll-sql1-dev, libgnatcoll-sql2-dev, libgnatcoll-sql3-dev,
 libgnatcoll-sql4-dev, libgnatcoll-sql5-dev
Replaces: libgnatcoll-sql1-dev, libgnatcoll-sql2-dev, libgnatcoll-sql3-dev,
 libgnatcoll-sql4-dev, libgnatcoll-sql5-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
Description: Ada library accessing SQL databases
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the static library and Ada specifications of
 the backend-independant part.

Package: libgnatcoll-sql4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library accessing SQL databases (runtime)
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the runtime shared library of the
 backend-independant part.

######################################################################

Package: libgnatcoll-xref-dev
Breaks: libgnatcoll-xref18-dev, libgnatcoll-xref19-dev, libgnatcoll-xref20-dev,
 libgnatcoll-xref21-dev, libgnatcoll-xref22-dev
Replaces: libgnatcoll-xref18-dev, libgnatcoll-xref19-dev, libgnatcoll-xref20-dev,
 libgnatcoll-xref21-dev, libgnatcoll-xref22-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
Description: Ada library for manipulation of Ada cross references
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the static library and Ada specifications for
 the XRef module, which builds a database of cross references from a
 source tree.

Package: libgnatcoll-xref21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library for manipulation of Ada cross references (runtime)
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the runtime shared library for the XRef module,
 which builds a database of cross references from a source tree.

######################################################################

Package: libgnatcoll-postgres-dev
Breaks: libgnatcoll-postgres1-dev, libgnatcoll-postgres2-dev,
 libgnatcoll-postgres3-dev
Replaces: libgnatcoll-postgres1-dev, libgnatcoll-postgres2-dev,
 libgnatcoll-postgres3-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
Description: Ada library accessing PostGreSQL databases
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the static library and Ada specifications
 dedicated to PostGreSQL databases manipulation.

Package: libgnatcoll-postgres2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library accessing PostGreSQL databases (runtime)
 The gnatcoll-db library allows Ada programs to send SQL queries to
 SQLite or PostGreSQL databases.
 .
 This package contains the runtime shared library for the PostGreSQL
 backend.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl database components in Debian.
# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined

include /usr/share/dpkg/architecture.mk

# On mips64el gnatcoll-xref.adb generates long jump that do not fit in
# standard branch instructions. Use the mxgot option to workaround that.
# See bug #953069.
ifeq ($(DEB_HOST_ARCH),mips64el)
  DEB_ADAFLAGS_MAINT_APPEND := -mxgot
  DEB_CFLAGS_MAINT_APPEND := -mxgot
endif

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include $(wildcard /usr/share/ada/packaging.mk)
# wildcard means: not during -indep builds.

# The order matters for dh_ada_library.
libs := sql sqlite postgres xref

gpr_vars := \
  -XGNATCOLL_SQLITE=external \
  $(libs:%=-aP%) \
  -XGNATCOLL_SQL_VERSION=$(gnatcoll_sql_SO_VERSION) \
  -XGNATCOLL_SQLITE_VERSION=$(gnatcoll_sqlite_SO_VERSION) \
  -XGNATCOLL_POSTGRES_VERSION=$(gnatcoll_postgres_SO_VERSION) \
  -XGNATCOLL_XREF_VERSION=$(gnatcoll_xref_SO_VERSION) \
  # EOL

gprbuild := \
  gprbuild -p $(GPRBUILDFLAGS) \
  $(gpr_vars)

%:
	dh $@

# Dependencies and parallelism are handled by gprbuild,
# avoid using Make for this (risky, without much gain).
# Anyway, there is only one possible build order.
# For the same reason, blindly regenerate xref/generated.

.PHONY: override_dh_auto_build-arch
override_dh_auto_build-arch:

  # Ensure the same major version for Ada and C compilers.
	gprconfig --batch $(GPRCONFIGFLAGS)

	rm -f xref/generated/*

  # Build db2ada (and relocatable sql, postgres, sqlite).
	$(gprbuild) gnatcoll_db2ada/gnatcoll_all2ada.gpr -XLIBRARY_TYPE=relocatable

# TODO: ask upstream to provide initialdata.txt and this Makefile
# snippet. They have probably forgotten them during the libgnatcoll
# source package split.
	LD_LIBRARY_PATH=$(subst $() ,:,$(libs:=/lib/relocatable)) \
	  gnatcoll_db2ada/obj/gnatcoll_all2ada \
	  -dbtype=sqlite \
	  -dbname=:memory: \
	  -output xref/generated \
	  -dbmodel=gnatcoll_db2ada/dbschema.txt \
	  -createdb \
	  -adacreate \
	  -api GNATCOLL.Xref.Database \
	  -load=debian/initialdata.txt \
	  -enum "f2f_kind,id,name,F2F,Integer" \
	  -enum "e2e_kind,id,name,E2E,Integer"

  # Build static xref (and sql, sqlite as dependencies).
	$(gprbuild) gnatcoll_xref.gpr           -XLIBRARY_TYPE=static

  # Build static postgres (and sql).
	$(gprbuild) gnatcoll_postgres.gpr       -XLIBRARY_TYPE=static

  # Build gnatinspect (and relocatable sql, sqlite, xref).
	$(gprbuild) gnatinspect/gnatinspect.gpr -XLIBRARY_TYPE=relocatable

override_dh_auto_install-arch: $(libs:%=install-%)
	gprinstall gnatinspect/gnatinspect.gpr $(gpr_vars) \
	  -XLIBRARY_TYPE=relocatable $(standard_GPRINSTALLFLAGS)
	gprinstall gnatcoll_db2ada/gnatcoll_all2ada.gpr $(gpr_vars) \
	  -XLIBRARY_TYPE=relocatable $(standard_GPRINSTALLFLAGS)
	mv debian/tmp/usr/bin/gnatcoll_all2ada \
	   debian/tmp/usr/bin/gnatcoll_db2ada
install-%:
	gprinstall $(gpr_vars) \
	  gnatcoll_$*.gpr -XLIBRARY_TYPE=static \
	  $(static_GPRINSTALLFLAGS)
	gprinstall $(gpr_vars) \
	  gnatcoll_$*.gpr -XLIBRARY_TYPE=relocatable \
	  $(call shared_GPRINSTALLFLAGS,gnatcoll_$*)

override_dh_auto_build-indep:
  ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -Cdocs html latexpdf text $(DEB_BUILD_OPTION_PARALLEL:%=-j%)
  endif

# Avoid a warning about doc-main-package.
# Exclude generated sources from examples.
doc_pkg := libgnatcoll-db-doc
execute_before_dh_installdocs:
	dh_installdocs --package=$(doc_pkg) --doc-main-package=$(doc_pkg)
execute_before_dh_installexamples:
	dh_installexamples --package=$(doc_pkg) --doc-main-package=$(doc_pkg) \
	  -Xgenerated
